Name:       nodejs-semver
Version:    1.0.13
Release:    1%{?dist}
Summary:    The semantic versioner for npm
License:    MIT
URL:        https://github.com/isaacs/node-semver
Source0:    http://registry.npmjs.org/semver/-/semver-%{version}.tgz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

BuildRequires:  nodejs-devel
Requires:       nodejs

%description
The semantic version comparison library for the Node.js package manager (npm).

%prep
%setup -q -n package

%nodejs_fixshebang bin/semver

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{nodejs_libdir}/semver
cp -p package.json semver.js %{buildroot}%{nodejs_libdir}/semver

mkdir -p %{buildroot}%{_bindir}
cp -p bin/semver %{buildroot}%{_bindir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{nodejs_libdir}/semver
%{_bindir}/semver
%doc README.md LICENSE

%changelog
* Sat Jan 21 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.13-1
- new upstream release 1.0.13

* Thu Nov 17 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.11-1
- new upstream release 1.0.11

* Tue Oct 25 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.10-1
- new upstream release

* Mon Aug 22 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.9-1
- initial package
